Bullet Collision Detection & Physics Library: btSingleRayCallback Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSingleRayCallback Struct Reference
Inheritance diagram for btSingleRayCallback:
[legend]
Collaboration diagram for btSingleRayCallback:
[legend]

## Public Member Functions
| btSingleRayCallback (const btVector3 &rayFromWorld, const btVector3 &rayToWorld, const btCollisionWorld *world, btCollisionWorld::RayResultCallback &resultCallback)
virtual bool | process (const btBroadphaseProxy *proxy)
Public Member Functions inherited from btBroadphaseRayCallback
virtual | ~btBroadphaseRayCallback ()
Public Member Functions inherited from btBroadphaseAabbCallback
virtual | ~btBroadphaseAabbCallback ()

## Public Attributes
btVector3 | m_rayFromWorld
btVector3 | m_rayToWorld
btTransform | m_rayFromTrans
btTransform | m_rayToTrans
btVector3 | m_hitNormal
const btCollisionWorld * | m_world
btCollisionWorld::RayResultCallback & | m_resultCallback
Public Attributes inherited from btBroadphaseRayCallback
btVector3 | m_rayDirectionInverse
| added some cached data to accelerate ray-AABB tests
unsigned int | m_signs [3]
btScalar | m_lambda_max

## Additional Inherited Members
Protected Member Functions inherited from btBroadphaseRayCallback
| btBroadphaseRayCallback ()

## Detailed Description

Definition at line 929 of file btCollisionWorld.cpp.

## Constructor & Destructor Documentation

## ◆ btSingleRayCallback()

btSingleRayCallback::btSingleRayCallback | ( | const btVector3 & | rayFromWorld,
|  | const btVector3 & | rayToWorld,
|  | const btCollisionWorld * | world,
|  | btCollisionWorld::RayResultCallback & | resultCallback )
| inline

what about division by zero? --> just set rayDirection[i] to INF/BT_LARGE_FLOAT

Definition at line 940 of file btCollisionWorld.cpp.

## Member Function Documentation

## ◆ process()

virtual bool btSingleRayCallback::process | ( | const btBroadphaseProxy * | proxy | ) |
| inlinevirtual

terminate further ray tests, once the closestHitFraction reached zero

Implements btBroadphaseAabbCallback.

Definition at line 965 of file btCollisionWorld.cpp.

## Member Data Documentation

## ◆ m_hitNormal

btVector3 btSingleRayCallback::m_hitNormal

Definition at line 935 of file btCollisionWorld.cpp.

## ◆ m_rayFromTrans

btTransform btSingleRayCallback::m_rayFromTrans

Definition at line 933 of file btCollisionWorld.cpp.

## ◆ m_rayFromWorld

btVector3 btSingleRayCallback::m_rayFromWorld

Definition at line 931 of file btCollisionWorld.cpp.

## ◆ m_rayToTrans

btTransform btSingleRayCallback::m_rayToTrans

Definition at line 934 of file btCollisionWorld.cpp.

## ◆ m_rayToWorld

btVector3 btSingleRayCallback::m_rayToWorld

Definition at line 932 of file btCollisionWorld.cpp.

## ◆ m_resultCallback

btCollisionWorld::RayResultCallback& btSingleRayCallback::m_resultCallback

Definition at line 938 of file btCollisionWorld.cpp.

## ◆ m_world

const btCollisionWorld* btSingleRayCallback::m_world

Definition at line 937 of file btCollisionWorld.cpp.

The documentation for this struct was generated from the following file:

- btCollisionWorld.cpp